
!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:08'!
getCurveAbscissa
	^costume getCurveAbscissa! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:09'!
getMathItemValue
	^costume getMathItemValue! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:09'!
getWorldX
	^costume getWorldX! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
getWorldY
	^costume getWorldY! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
setCurveAbscissa: aFloat
	costume setCurveAbscissa: aFloat! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
setMathItemValue: aValue
	^ costume setMathItemValue: aValue! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:10'!
setWorldX: aFloat
	costume setWorldX: aFloat! !

!Player methodsFor: '*DrGeoII-Etoys-slots' stamp: 'HilaireFernandes 11/1/2009 10:11'!
setWorldY: aFloat
	costume setWorldY: aFloat! !

!DrGValueCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:39'!
getMathItemValue
	^mathItem valueItem! !

!DrGValueCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 1/26/2008 09:15'!
setMathItemValue: aValue 
	| freeValue |
	freeValue := self mathItem.
	freeValue class = DrGFreeValueItem
		ifTrue: [freeValue valueItem: aValue.
			self domain updateAllMathItems .
			self redraw]! !

!DrGPointMorph class methodsFor: '*DrGeoII-Etoys-flexiblevocabularies-scripting' stamp: 'HilaireFernandes 11/1/2009 10:23'!
additionsToViewerCategoryDrGeo
^ # (drgeo (
(slot curveAbscissa 'The abscissa of this point on the curve' Number readWrite Player getCurveAbscissa Player setCurveAbscissa:)
(slot Xw 'The x coordinate in the DrGeoII world coordinate system' Number readWrite Player getWorldX Player setWorldX:) 
(slot Yw 'The y coordinate in the DrGeoII world coordinate system' Number readWrite Player getWorldY Player setWorldY:)
))! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:32'!
getCurveAbscissa
	^costume getCurveAbscissa! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:56'!
getWorldX
	^costume getWorldX! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:56'!
getWorldY
	^costume getWorldY! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:33'!
setCurveAbscissa: aFloat
	costume setCurveAbscissa: aFloat! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:56'!
setWorldX: aFloat
	costume setWorldX: aFloat! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 10:55'!
setWorldY: aFloat
	costume setWorldY: aFloat! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/25/2006 19:24'!
x: aNumber
| oldPosition newX |
	newX := costume drawable morphAbscissaToWorld: 
		(self referencePlayfield cartesianOrigin x + aNumber).
	oldPosition := costume mathItem point.
	costume drawable view domain 
		moveEvent: costume mathItem 
		at: newX@oldPosition y! !

!DrGPointMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 4/19/2010 13:08'!
y: aNumber
| oldPosition newY|
	newY := costume drawable morphOrdinateToWorld: 
		(self referencePlayfield cartesianOrigin y - aNumber + 0).
	oldPosition := costume mathItem point.
	costume drawable app domain 
		moveEvent: costume mathItem 
		at: oldPosition x @ newY! !

!DrGService class methodsFor: '*DrGeoII-Etoys-parts bin' stamp: 'HilaireFernandes 6/15/2010 12:13'!
descriptionForPartsBin
	^ (DescriptionForPartsBin
		formalName: 'Dr. Geo'
		categoryList: #('Graphics' 'Tools' )
		documentation: 'An interactive geometry canvas to draw dynamic geometric sketch. Open the Morph menu to get access to the construction tools and more.' translatedNoop
		globalReceiverSymbol: #DrGeo
		nativitySelector: #sample)
		sampleImageForm: DrGIcons angle! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 1/26/2008 11:28'!
getCurveAbscissa
	(mathItem respondsTo: #abscissa)
		ifTrue: [^ mathItem exist
				ifTrue: [mathItem abscissa]
				ifFalse: [nil]]
		ifFalse: [^ nil]! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 11:01'!
getWorldX
	^mathItem point x! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 3/27/2006 11:01'!
getWorldY
	^mathItem point y! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 5/13/2010 10:49'!
setCurveAbscissa: aFloat 
	(mathItem respondsTo: #abscissa:)
		ifTrue: [mathItem setCurveAbscissa: aFloat.
			self domain updateAllMathItems]! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 5/13/2010 10:48'!
setWorldX: aFloat
	self domain
		moveEvent: mathItem
		at: aFloat @ mathItem point y
! !

!DrGPointCostume methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 5/13/2010 10:49'!
setWorldY: aFloat
	self domain
		moveEvent: mathItem
		at: mathItem point x @ aFloat
! !

!DrGValueMorph class methodsFor: '*DrGeoII-Etoys-flexiblevocabularies-scripting' stamp: 'HilaireFernandes 11/1/2009 10:21'!
additionsToViewerCategoryDrGeo
	^ #(drgeo (
(slot value 'The math item value' Number readWrite Player getMathItemValue Player setMathItemValue:)
)) ! !

!DrGValueMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'HilaireFernandes 2/13/2006 10:38'!
getMathItemValue
	^costume getMathItemValue! !

!DrGValueMorph methodsFor: '*DrGeoII-Etoys-scripting' stamp: 'jlrr 11/25/2007 16:46'!
setMathItemValue: aValue 
	costume setMathItemValue: aValue! !
